Bug 191839 - [PATCH] www/boa: Add staging support
Summary: [PATCH] www/boa: Add staging support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-12 14:03 UTC by Jonathan Price
Modified: 2014-08-10 17:01 UTC (History)
3 users (show)

See Also:


Attachments
diff of Makefile (2.39 KB, patch)
2014-07-12 14:03 UTC, Jonathan Price
no flags Details | Diff
Updated makefile diff with corrected tabs and encoding; sorry. (2.28 KB, patch)
2014-07-12 20:43 UTC, Jonathan Price
no flags Details | Diff
Updated makefile diff (2.08 KB, patch)
2014-07-28 11:30 UTC, Jonathan Price
no flags Details | Diff
pkg-plist diff (761 bytes, patch)
2014-07-28 11:31 UTC, Jonathan Price
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Price 2014-07-12 14:03:19 UTC
Created attachment 144614 [details]
diff of Makefile

Patch provides staging support to www/boa.
Comment 1 Raphael Kubo da Costa freebsd_committer 2014-07-12 16:31:57 UTC
Could you send a version with proper line endings and tabs?
Comment 2 Jonathan Price 2014-07-12 20:43:41 UTC
Created attachment 144622 [details]
Updated makefile diff with corrected tabs and encoding; sorry.
Comment 3 Raphael Kubo da Costa freebsd_committer 2014-07-12 22:13:27 UTC
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: man/man8/boa.8.gz

Additionally, doesn't it make sense to use the @sample keyword for the sample file in the plist?
Comment 4 John Marino freebsd_committer 2014-07-26 07:26:44 UTC
Jonathan, Are you planning to provide a new patch to address these 2 issues Raphael outlined?
Comment 5 Jonathan Price 2014-07-28 11:29:57 UTC
Apologies for the slow response. I have re-applied my modifications to the latest version of the port, and have updated the pkg-plist. I have attached the diffs for both.

However, I am still receiving the following output from a check-plist. I have checked the contents of the STAGEDIR, and the files are in fact there, so I am unsure why check-plist is producing errors:

===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: info/boa.info
Error: Missing: %%DOCSDIR%%/boa.html
Error: Missing: %%DOCSDIR%%/boa.texi
Error: Missing: %%DOCSDIR%%/boa.txt
Error: Missing: %%DOCSDIR%%/boa_banner.png
Comment 6 Jonathan Price 2014-07-28 11:30:43 UTC
Created attachment 145069 [details]
Updated makefile diff
Comment 7 Jonathan Price 2014-07-28 11:31:02 UTC
Created attachment 145070 [details]
pkg-plist diff
Comment 8 John Marino freebsd_committer 2014-07-28 20:59:43 UTC
sorry, I didn't read carefully enough, it's not patch-ready.

Jonathan says these patches don't result in a good build and needs help figuring out how to finish them.

Back to "discussion"
Comment 9 commit-hook freebsd_committer 2014-08-10 16:33:01 UTC
A commit references this bug:

Author: riggs
Date: Sun Aug 10 16:32:45 UTC 2014
New revision: 364550
URL: http://svnweb.freebsd.org/changeset/ports/364550

Log:
  - Stagify
  - Add LICENSE
  - Makefile cleanup
  - Move pkg-plist into Makefile PLIST var
  - Add pkg-message.in regarding startup script
  - Pet portlint

  PR:		191839
  Submitted by:	freebsd@jonathanprice.org
  Approved by:	mentors (implicit)

Changes:
  head/www/boa/Makefile
  head/www/boa/files/pkg-message.in
  head/www/boa/pkg-plist
Comment 10 Thomas Zander freebsd_committer 2014-08-10 17:01:50 UTC
Most of the plist stuff in this port can be handled by the build framework. I have modified your patch slightly and committed it. Thanks!